
package de.ivu.elect.presentation.dokumente.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.dokumente.DokumentVorlageArchiveCreateView;

public class DokumentVorlageArchiveCreateMenuItemEntry extends AbstractDokumentVorlageMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public DokumentVorlageArchiveCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.DOKUMENT_VORLAGE_CREATE;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "dokument.vorlage.archive.create.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return DokumentVorlageArchiveCreateView.VIEW_ID;
  }

  @Override 
  public String getIcon() {
    return getIcons().getIconFolderOpen();
  }
}
